<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Amaranth">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Inter">
    <link rel="stylesheet" href="css/home.css" type="text/css" />
    <link rel="stylesheet" href="css/detail.css" type="text/css" />
    <title>Detail Page</title>
</head>

<body>
    <nav class="">
        <div class="">
            <H4>BookStore</H4>
        </div>
        <div class="menu">
            <ul>
                <a href="Index.php">Beranda</a>
                <a href="Store.php">Toko</a>
                <a href="cart.php">Keranjang</a>
            </ul>
        </div>
        <a href="login.php"> <button>Login</button></a>
    </nav>
    <main>
        <section class="content">
            <div class="detail" id="detail-content">
                <!-- Data ditampilkan disini-->
            </div>
        </section>
    </main>
    <footer class="">
        <div class="">
            <H4>BookStore</H4>
        </div>
        <div class="menu">
            <ul>
                <a href="Index.php">About Us</a>
                <a href="Store.php">Store</a>
                <a href="cart.php">Cart</a>
            </ul>
        </div>
    </footer>
    <script>
    let blogData;
    // Your JavaScript code here
    document.addEventListener('DOMContentLoaded', function() {
        // Ambil ID dari parameter query di URL
        const params = new URLSearchParams(window.location.search);
        const blogId = params.get('id');

        // Dapatkan data dari localStorage (atau sumber data lainnya)
        const blogData = JSON.parse(localStorage.getItem('blogData'));

        // Cari data yang sesuai dengan ID dari parameter query
        const selectedBlog = blogData[blogId];
        //format currency
        const priceElement = document.createElement('p');
        priceElement.classList.add('price');
        const formattedPrice = new Intl.NumberFormat('id-ID', {
            style: 'currency',
            currency: 'IDR'
        }).format(selectedBlog.price);


        // Tampilkan data di halaman detail
        const detailContent = document.getElementById('detail-content');
        detailContent.innerHTML = `
                <div class="image"> 
                    <img src="${selectedBlog.img}" alt="">
                </div>
                <div class"text">
                    <h1>${selectedBlog.title}</h1>
                    <p>${selectedBlog.desc}</p> 
                    <p class="price">${formattedPrice}</p>
                    <p>Author: ${selectedBlog.author}</p>
                    <p>Release Date: ${selectedBlog.date}</p>
                    <br>
                    <form id="orderForm">
                        <label for="quantity">Jumlah :</label><br>
                        <input type="number" id="quantity" name="quantity  min=" 1" value="1" required">
                        <button type="button" id="orderButton" onclick="orderButton()">Bayar Sekarang</button>
                    </form>
                </div>
            `;
        // Button
        orderButton.addEventListener('click', function() {
            const bookTitle = blogData[blogId].title;
            const jumlah = document.getElementById('quantity').value;
            window.alert(`Anda berhasil memesan buku: ${blogData[blogId].title} berjumlah ${jumlah}`);
        });

    });
    </script>
</body>

</html>